Loading...
Searching...
No Matches
file_meta_sink.h File Reference
`#include <gnuradio/blocks/api.h>`
`#include <gnuradio/sync_block.h>`
Include dependency graph for file_meta_sink.h:

Go to the source code of this file.

## Classes

class | gr::blocks::file_meta_sink
| Write stream to file with meta-data headers. More...

## Namespaces

namespace | gr
| GNU Radio logging wrapper.
namespace | gr::blocks

## Enumerations

enum | gr::blocks::gr_file_types { gr::blocks::GR_FILE_BYTE = 0 , gr::blocks::GR_FILE_CHAR = 0 , gr::blocks::GR_FILE_SHORT = 1 , gr::blocks::GR_FILE_INT , gr::blocks::GR_FILE_LONG , gr::blocks::GR_FILE_LONG_LONG , gr::blocks::GR_FILE_FLOAT , gr::blocks::GR_FILE_DOUBLE }

## Variables

constexpr char | gr::blocks::METADATA_VERSION = 0
constexpr size_t | gr::blocks::METADATA_HEADER_SIZE = 149